#don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

%define url_ver %(echo %{version}| cut -d. -f1,2)

Summary:	Mail Watcher plugin for the Xfce panel
Name:		xfce4-mailwatch-plugin
Version:	1.2.0
Release:	%mkrel 7
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-mailwatch-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# Patch originally from Fedora
Patch3:		xfce4-mailwatch-plugin-1.1.0-mbox-refresh-interval.patch
BuildRequires:	intltool
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(exo-1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(gnutls)
Requires:	xfce4-panel >= 4.8.0

%description
Mailwatch is a mail watcher plugin for the Xfce 4 panel.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--enable-ssl
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_libdir}/xfce4/panel/plugins/libmailwatch.so
%{_datadir}/xfce4/panel/plugins/mailwatch.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog
* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.2.0-7.mga6
+ Revision: 921848
- rebuild for gnutls

* Mon Sep 14 2015 fwang <fwang> 1.2.0-6.mga6
+ Revision: 879231
- rebuild for new libgcrypt

* Tue Mar 03 2015 wally <wally> 1.2.0-5.mga5
+ Revision: 817448
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 743410
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Fri Oct 25 2013 wally <wally> 1.2.0-2.mga4
+ Revision: 546942
- fix URL

* Fri Oct 25 2013 wally <wally> 1.2.0-1.mga4
+ Revision: 546912
- new version 1.2.0
- exclude plugin .so from provides
- drop unneeded patches

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-12.mga4
+ Revision: 520564
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.0-11.mga3
+ Revision: 386834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.1.0-10.mga3
+ Revision: 338184
- add patch to fix build with automake 1.13
- fix build after %%_libexecdir change

* Sun Jun 17 2012 wally <wally> 1.1.0-9.mga3
+ Revision: 261115
- port to libxfce4ui (patch from PLD Linux)
- add mbox interval patch from Fedora
- rediff linking patch to work with libxfce4ui patch
- clean .spec a bit

* Thu May 31 2012 fwang <fwang> 1.1.0-8.mga3
+ Revision: 251980
- br xfce4-dev-tools
- rebuild for new xfutil

* Tue Jan 03 2012 wally <wally> 1.1.0-7.mga2
+ Revision: 190134
- add patch to fix build with new gnutls
- rebuild for new xfce4-panel

  + fwang <fwang>
    - link against gcrypt
    - rebuild for new gnutls

* Fri Jun 24 2011 ahmad <ahmad> 1.1.0-5.mga2
+ Revision: 113304
- Add a patch to fix linking
- Drop old/unneeded scriptlets
- imported package xfce4-mailwatch-plugin

